# Notification Rule List

GET /platform/notification-rules: Lists notification rules. Filter and sort with the optional query parameters.

Source: https://docs.deepinfo.com/reference/platform/notification-rule-list/

Last updated: 2026-09-27

---
`GET https://api.deepinfo.com/v1/platform/notification-rules`

Lists notification rules. Filter and sort with the optional query parameters.

## Authentication

Send your API key in the `apikey` request header.

## Query Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `page_size` | Optional | Min `25`, max `100`. Default `100`. | `25` |
| `ordering` | Optional |  |  |
| `page` | Optional | Min `1`, max `800`. Default `1`. | `1` |
| `name__contains` | Optional |  |  |
| `name__not_contains` | Optional |  |  |
| `scope__in` | Optional |  |  |
| `scope__nin` | Optional |  |  |
| `frequency__in` | Optional |  |  |
| `frequency__nin` | Optional |  |  |
| `members__in` | Optional |  |  |
| `members__nin` | Optional |  |  |
| `enabled` | Optional |  |  |
| `added_date__lte` | Optional |  |  |
| `added_date__gte` | Optional |  |  |
| `last_update_date__lte` | Optional |  |  |
| `last_update_date__gte` | Optional |  |  |

## Response Fields

| Field | Type | Description |
|---|---|---|
| `page` | integer |  |
| `page_size` | integer |  |
| `result_count` | integer |  |
| `results` | array of object |  |
| `results[].id` | string |  |
| `results[].name` | string |  |
| `results[].scope` | string | One of `new_issue_detected`, `reappeared_issue_detected`, `asset_security_score_decreased`, `asset_security_score_changed`, `asset_ssl_changed`, `asset_whois_changed`, `asset_dns_changed`, `domain_security_score_decreased`, `domain_security_score_changed`, `new_asset_discovered`, `new_asset_added`, `new_vulnerability_detected`, `reappeared_vulnerability_detected`, `new_email_breach_detected`, `new_suspicious_domain_detected`, `new_fraudulent_domain_detected`, `new_open_port_detected`, `new_employee_credential_detected`, `new_client_credential_detected`, `new_payment_credential_detected`, `new_cybersecurity_news_added` |
| `results[].frequency` | string | One of `instant`, `hourly`, `daily`, `weekly`, `monthly` |
| `results[].delivery_hour` | integer |  |
| `results[].delivery_day_of_week` | integer |  |
| `results[].members` | array of object |  |
| `results[].enabled` | boolean |  |
| `results[].added_date` | string | date-time |
| `results[].last_update_date` | string | date-time |

Paginated. See [Getting Started → Pagination](/getting-started/pagination/).

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `page` | number |
| `page_size` | number |
| `result_count` | number |
| `results` | array<object> |
| `results[].id` | string |
| `results[].name` | string |
| `results[].scope` | string |
| `results[].frequency` | string |
| `results[].delivery_hour` | null |
| `results[].delivery_day_of_week` | null |
| `results[].members` | array<object> |
| `results[].members[].team_member_uuid` | string |
| `results[].members[].email` | string |
| `results[].enabled` | boolean |
| `results[].added_date` | string |
| `results[].last_update_date` | string |

## Examples

### 200 · OK

```bash
curl 'https://api.deepinfo.com/v1/platform/notification-rules?page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 21,
  "results": [
    {
      "id": "000000000000000e8e040001",
      "name": "Critical issues",
      "scope": "asset_security_score_changed",
      "frequency": "instant",
      "delivery_hour": null,
      "delivery_day_of_week": null,
      "members": [
        {
          "team_member_uuid": "00000000-0000-4000-8000-0000f3aa0001",
          "email": "user@acme.example"
        }
      ],
      "enabled": true,
      "added_date": "2025-06-01T08:00:00Z",
      "last_update_date": "2025-07-01T08:00:00Z"
    },
    {
      "id": "000000000000000e8e040002",
      "name": "New vulnerabilities",
      "scope": "asset_security_score_decreased",
      "frequency": "instant",
      "delivery_hour": null,
      "delivery_day_of_week": null,
      "members": [
        {
          "team_member_uuid": "00000000-0000-4000-8000-0000f3aa0004",
          "email": "user@acme.example"
        }
      ],
      "enabled": true,
      "added_date": "2025-05-25T08:00:00Z",
      "last_update_date": "2025-06-24T08:00:00Z"
    }
  ]
}
```

### 400 · Invalid Parameter (invalid enabled=notabool)

```bash
curl 'https://api.deepinfo.com/v1/platform/notification-rules?enabled=notabool' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 10400,
  "parameters": [
    {
      "param": "enabled",
      "details": [
        "Must be a valid boolean."
      ]
    }
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
